Constructor of Yaf_View_Simple

- « Yaf_View_Simple::clear

- Yaf_View_Simple::display »

- PHP Manual
- Yaf_View_Simple
- Constructor of Yaf_View_Simple

# Yaf_View_Simple::__construct

(Yaf >=1.0.0)

Yaf_View_Simple::__construct — Constructor of Yaf_View_Simple

### Description

final public Yaf_View_Simple::__construct(string `$template_dir`, array `$options` = ?)

### Parameters

`template_dir`

  The base directory of the templates, by default, it is APPLICATOIN . "/views" for Yaf.

`options`

      Options for the engine, as of Yaf 2.1.13, you can use short tag
            "<?=$var?>" in your template(regardless of "short_open_tag"),
            so comes a option named "short_tag",  you can switch this off
            to prevent use short_tag in template.

### Examples

Example #1 Yaf_View_Simple::__constructor()example

    <?php
       define ("TEMPLATE_DIRECTORY", APPLICATOIN_PATH . '/views');
       $view = new Yaf_View_Simple(TEMPLATE_DIRECTORY, array(
                               'short_tag' => false //doesn't allow use short tag in template
       ));
    ?>